Compare commits

..

1 Commits

Author SHA1 Message Date
suzanne.soy
5557f080c9 export-chrome-bookmarks.sh: added usage info 2020-10-10 02:44:28 +01:00
5 changed files with 13 additions and 51 deletions

1
.gitignore vendored
View File

@ -1 +0,0 @@
/tests-results/

View File

@ -1,10 +1,20 @@
#!/usr/bin/env nix-shell
#!nix-shell --pure -i bash -p dejsonlz4 jq bash -I nixpkgs=https://github.com/NixOS/nixpkgs/archive/fea633695211167753ee732c9087808d0c57461c.tar.gz
# Usage: ./export-firefox-bookmarks.sh [path/to/.mozilla/firefox/XXXXXXXX.profile]
#!nix-shell --pure -i bash -p jq bash -I nixpkgs=https://github.com/NixOS/nixpkgs/archive/fea633695211167753ee732c9087808d0c57461c.tar.gz
set -euET -o pipefail
usage() {
printf "Usage: %q [path/to/.config/chromium/Default/]"\\n "$0"
}
if test $# -ne 1; then
usage
exit 1
elif test $# -eq 1 && (test "x$1" = "x-h" || test "x$1" = "x--help"); then
usage
exit 0
fi
if test $# -ge 1; then
profile="$1"
else

View File

@ -1,29 +0,0 @@
#!/usr/bin/env nix-shell
#!nix-shell --pure -i bash -p firefox-esr bash -I nixpkgs=https://github.com/NixOS/nixpkgs/archive/fea633695211167753ee732c9087808d0c57461c.tar.gz
set -euET -o pipefail
usage() {
printf "Usage: ./screenshot-full-firefox.sh url filename"\\n
}
if test $# -ne 2; then
usage
exit 1
elif test $# -eq 1 && (test "x$1" = "x-h" || test "x$1" = "x--help"); then
usage
exit 0
fi
url="$1"
image="$2"
temp_profile_home="$(mktemp -d)"
function cleanup() {
rm -fr --one-file-system "$temp_profile_home"
}
trap cleanup EXIT
HOME="$temp_profile_home" firefox --headless --window-size 1920 --screenshot "$image" "$url"

View File

@ -1,11 +0,0 @@
#!/usr/bin/env nix-shell
#!nix-shell -i bash -p bash nix -I nixpkgs=https://github.com/NixOS/nixpkgs/archive/fea633695211167753ee732c9087808d0c57461c.tar.gz
# Older nix-shell --pure versions prevent nested nix-shells to properly download dependencies, so the above doesn't use --pure.
# If this script increases in complexity and becomes more sensitive to env vars, use --pure and wrap it with an impure launcher.
set -euET -o pipefail
for i in tests/*.sh; do
"$i"
done

View File

@ -1,7 +0,0 @@
#!/usr/bin/env nix-shell
#!nix-shell --pure -i bash -p bash nix -I nixpkgs=https://github.com/NixOS/nixpkgs/archive/fea633695211167753ee732c9087808d0c57461c.tar.gz
set -euET -o pipefail
cd "$(dirname "$0")"
../screenshot-full-firefox.sh https://example.com/ ../tests-results/screenshots-full-firefox.png